
ISSUE-id - Bug #2330

Can not save a subtask

15 Sep 2014 04:29 - stephen r

Status: Closed Start date: 15 Sep 2014

Priority: Major Due date:  

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.0.2   

Redmine version:  External issue:  

Description

When I create a subtaks of issure,

the redmine show the message 'Parent task is invali’ and can’t save.

Associated revisions

Revision 25 - 10 Nov 2016 14:52 - Andriy Lesyuk

Support new issue id for parent_issue_id (fixes #ISSUE-4)

Revision 26 - 10 Nov 2016 14:53 - Andriy Lesyuk

Patch #parent_issue_id to return ISSUE-X (#ISSUE-4)

History

#1 - 05 Nov 2014 09:17 - Vanessa GATEFAIT PERROUD

Redmine waits for the parent id, not an alias created by Issue-id plugin. So you have to change alias for parent Id. You can now save issue.

make Redmine work with such IDs will be great.

#2 - 06 Feb 2015 18:41 - Mateusz Zająkała

How exactly can you change the alias for parent id? if I enable issue-id on my project (assign project identifier) then all issues are identified only by

project-specific ID, I don’t see any way to reference them by any other means.

Any suggestion will be appreciated, other than that issue-id is wonderful work and great plugin!

UPDATE: I can locate the original numeric ID by using context menu on an issue and checking the URL (chich contains object id), then using this

original ID in the “Parent Task” field and it does help - but this is very cumbersome...

#3 - 28 Aug 2016 17:10 - Andriy Lesyuk

- Subject changed from can not save a subtask to Can not save a subtask

- Status changed from New to Open

- Target version set to 0.0.2

#4 - 20 Oct 2016 08:23 - Andriy Lesyuk

- Priority changed from Normal to Major

#5 - 06 Nov 2016 11:48 - Mikhail Voronyuk

Fixed in this fork: https://github.com/VoronyukM/issue_id
https://github.com/VoronyukM/issue_id


#6 - 10 Nov 2016 14:52 - Andriy Lesyuk

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset r25.

Powered by TCPDF (www.tcpdf.org)

23 Apr 2024 2/2

http://projects.andriylesyuk.com/projects/issue-id/repository/revisions/25
http://www.tcpdf.org

